using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string ab = Console.ReadLine();
            uint[] c = Array.ConvertAll(Console.ReadLine().Split(' '),uint.Parse);

            char a = ab[0], b = ab[1];
            uint p = c[0], d = c[1];
            bool prvi = false;
            if ((p > d?p-d:d-p) >=2) Console.WriteLine("nemoguce");
            else
            {
                if (p > d) prvi = true;
                else prvi = false;
                for (uint i = 0; i < p + d; i++)
                {
                    if (prvi) Console.Write(a);
                    else Console.Write(b);
                    prvi = !prvi;
                }
            }
        }
    }
}